# CYR_EXPIRE

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

## NAME

cyr_expire − expire messages and duplicate delivery database entries

## SYNOPSIS

cyr_expire [ −C config-file ] [ −D delete-duration ] [ −E expire-duration ] [ −X expunge-duration ] [ −p mailbox-prefix ] [ −u username ] [ −t ] [ −v ]

## DESCRIPTION

Cyr_expire is used to run a number of regular maintenance tasks on Cyrus databases, specifically:

| • |  | expire messages from mailboxes, and
| • |  | expire entries from the duplicate delivery database, and
| • |  | cleanse mailboxes of partially expunged messages (when using the "delayed" expunge mode), and
| • |  | remove deleted mailboxes (when using the "delayed" delete mode).

The expiration of messages is controlled by the /vendor/cmu/cyrus-imapd/expire mailbox annotation which specifies the age (in days) of messages in the given mailbox that should be deleted. A value of 0 means that no expiration is to be performed on that mailbox.

The value of the /vendor/cmu/cyrus-imapd/expire annotation is inherited by all children of the mailbox on which it is set, so an entire mailbox tree can be configured by setting a single annotation on the root of that tree. If a mailbox does not have a /vendor/cmu/cyrus-imapd/expire annotation set on it (or does not inherit one), then no messages are expired from the mailbox.

The annotation can be examined using the info command of cyradm(1p), and modified using the mboxconfig and setinfo commands of cyradm(1p).

Expiration of duplicate delivery database entries for a given mailbox is also controlled by the /vendor/cmu/cyrus-imapd/expire annotation which applies to that mailbox. Unlike message expiration, if no annotation applies to the mailbox then duplicate database entries are expired using the value given to the -E option.

Cyr_expire reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

Cyr_expire requires at least one of -D -E -X or -t to be supplied.

## OPTIONS

−C config-file

Read configuration options from config-file.

−D delete-duration

Remove previously deleted mailboxes older than delete-duration (when using the "delayed" delete mode). The value can be a floating point number, and may have a suffix to specify the unit of time. If no suffix, the value is number of days. Valid suffixes are d (days), h (hours), m (minutes) and s (seconds).

−E expire-duration

Prune the duplicate database of entries older than expire-duration. This value is only used for entries which do not have a corresponding /vendor/cmu/cyrus-imapd/expire mailbox annotation. Format is the same as delete-duration.

−X expunge-duration

Expunge previously deleted messages older than expunge-duration (when using the "delayed" expunge mode). Format is the same as delete-duration.

| −x |  | Do not expunge messages even if using delayed expunge mode. This reduces IO traffic considerably, allowing cyr_expire to be run frequently to clean up the duplicate database without overloading the machine.

−p mailbox-prefix

Only find mailboxes starting with this prefix, e.g. "user.justgotspammedlots".

−u userid

Only find mailboxes belonging to this user, e.g. "justgotspammedlots@example.com".

| −t |  | Remove any user flags which are not used by remaining (not expunged) messages.
| −v |  | Enable verbose output.
| −a |  | Skip the annotation lookup, so all /vendor/cmu/cyrus-imapd/expire annotations are ignored entirely. It behaves as if they were not set, so only expire-days is considered for all mailboxes.

## FILES

/etc/imapd.conf

## SEE ALSO

imapd.conf(5), master(8), cyradm(1p)